Skip to main content
Resource Center/Network Resource/Hardware SDN Controller Operations
POSTHardware SDN Controller OperationsSince 5.3.0SynchronousAuth Required

CreateOvnControllerOffering

CreateOvnControllerOffering

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • zoneUuidStringRequired

    The zone UUID.

  • managementNetworkUuidStringRequired

    The management network UUID.

  • imageUuidStringRequired

    The image UUID.

  • nameStringRequired

    The offering name.

  • descriptionString

    Optional. The detailed description of the resource.

Responses

200 OK

On success, this API returns the following response structure.

  • successBooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryInstanceOfferingInventoryRequired

    Seeinventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • cpuNumIntegerRequired

      The CPU number.

    • cpuSpeedIntegerRequired

      The CPU speed.

    • memorySizeLongRequired

      The memory size.

    • typeStringRequired

      The type.

    • allocatorStrategyStringRequired

      The allocation strategy.

    • sortKeyIntegerRequired

      排序键。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateStringRequired

      The state.

Endpoint

POST/zstack/v1/instance-offerings/ovn

/zstack/v1/instance-offerings/ovn

Operation ID

CreateOvnControllerOffering

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/instance-offerings/ovn' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"zoneUuid":"<zoneUuid>","managementNetworkUuid":"<managementNetworkUuid>","imageUuid":"<imageUuid>","name":"<name>","description":"<description>","cpuNum":1,"memorySize":1,"reservedMemorySize":1,"allocatorStrategy":"<allocatorStrategy>","sortKey":1,"type":"<type>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "3b0af4671cc93f619ef326a3c99d825c", "name": "instanceOffering1", "cpuNum": 2, "cpuSpeed": 1, "type": "UserVm", "allocatorStrategy": "Mevoco", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Enabled" } }

Change History

This API has no change history records yet.

View all change history